
local path = minetest.get_modpath("epic_trees") .. "/schematics/"
local dpath = minetest.get_modpath("default") .. "/schematics/"


dofile(path .. "banana_tree.lua")
dofile(path .. "orange_tree.lua")

local add_schem = function(place_on, fill_ratio, biomes, y_min, y_max, schematic, flags, replacements, spawn_by, num_spawn_by, rotation)

	-- if not 1 then biome disabled, don't add
	if flags ~= 1 then return end

	minetest.register_decoration({
		deco_type = "schematic",
		place_on = place_on,
		sidelen = 80,
		fill_ratio = fill_ratio,
		biomes = biomes,
		y_min = y_min,
		y_max = y_max,
		schematic = schematic,
		flags = "place_center_x, place_center_z",
		replacements = replacements,
		spawn_by = spawn_by,
		num_spawn_by = num_spawn_by,
		rotation = rotation,
	})
end


add_schem({"default:sand", "default:dirt_with_grass"}, 0.003, {"grassland", "grassland_dunes"}, 1, 100,
	epic_trees.bananatree, 1)
add_schem({"default:sand", "default:dirt_with_grass"}, 0.003, {"grassland", "grassland_dunes"}, 1, 100,
	epic_trees.orangetree, 1)
